<?php

namespace WSCOMUN\WSBDC;

class WSBDC_WtdSucursal
{

    /**
     * @var string $codigoBanco
     * @access public
     */
    public $codigoBanco = null;

    /**
     * @var string $codigoSucursal
     * @access public
     */
    public $codigoSucursal = null;

    /**
     * @var string $nombreSucursal
     * @access public
     */
    public $nombreSucursal = null;

    /**
     * @var string $digitoControl
     * @access public
     */
    public $digitoControl = null;

    /**
     * @var string $numeroClasif
     * @access public
     */
    public $numeroClasif = null;

    /**
     * @var string $codigoPlaza
     * @access public
     */
    public $codigoPlaza = null;

    /**
     * @var string $desPlazaCastellano
     * @access public
     */
    public $desPlazaCastellano = null;

    /**
     * @var string $desPlazaVernacula
     * @access public
     */
    public $desPlazaVernacula = null;

    /**
     * @var string $tipoOficina
     * @access public
     */
    public $tipoOficina = null;

    /**
     * @var string $codigoProvincia
     * @access public
     */
    public $codigoProvincia = null;

    /**
     * @var string $telefonoContacto1
     * @access public
     */
    public $telefonoContacto1 = null;

    /**
     * @var string $telefonoContacto2
     * @access public
     */
    public $telefonoContacto2 = null;

    /**
     * @var string $fax
     * @access public
     */
    public $fax = null;

    /**
     * @var string $domicilio
     * @access public
     */
    public $domicilio = null;

    /**
     * @var string $codigoPostal
     * @access public
     */
    public $codigoPostal = null;

    /**
     * @var string $codbic
     * @access public
     */
    public $codbic = null;

    /**
     * @param string $codigoBanco
     * @param string $codigoSucursal
     * @param string $nombreSucursal
     * @param string $digitoControl
     * @param string $numeroClasif
     * @param string $codigoPlaza
     * @param string $desPlazaCastellano
     * @param string $desPlazaVernacula
     * @param string $tipoOficina
     * @param string $codigoProvincia
     * @param string $telefonoContacto1
     * @param string $telefonoContacto2
     * @param string $fax
     * @param string $domicilio
     * @param string $codigoPostal
     * @param string $codbic
     * @access public
     */
    public function __construct($codigoBanco, $codigoSucursal, $nombreSucursal, $digitoControl, $numeroClasif, $codigoPlaza, $desPlazaCastellano, $desPlazaVernacula, $tipoOficina, $codigoProvincia, $telefonoContacto1, $telefonoContacto2, $fax, $domicilio, $codigoPostal, $codbic)
    {
      $this->codigoBanco = $codigoBanco;
      $this->codigoSucursal = $codigoSucursal;
      $this->nombreSucursal = $nombreSucursal;
      $this->digitoControl = $digitoControl;
      $this->numeroClasif = $numeroClasif;
      $this->codigoPlaza = $codigoPlaza;
      $this->desPlazaCastellano = $desPlazaCastellano;
      $this->desPlazaVernacula = $desPlazaVernacula;
      $this->tipoOficina = $tipoOficina;
      $this->codigoProvincia = $codigoProvincia;
      $this->telefonoContacto1 = $telefonoContacto1;
      $this->telefonoContacto2 = $telefonoContacto2;
      $this->fax = $fax;
      $this->domicilio = $domicilio;
      $this->codigoPostal = $codigoPostal;
      $this->codbic = $codbic;
    }

}
