<?php

namespace WSCOMUN\WSBDC;

class WSBDC_WtipoCuentaGnral
{

    /**
     * @var string $codigoBanco
     * @access public
     */
    public $codigoBanco = null;

    /**
     * @var string $codigoSucursal
     * @access public
     */
    public $codigoSucursal = null;

    /**
     * @var string $digitosControl
     * @access public
     */
    public $digitosControl = null;

    /**
     * @var string $numeroCuenta
     * @access public
     */
    public $numeroCuenta = null;

    /**
     * @var string $codigoIban
     * @access public
     */
    public $codigoIban = null;

    /**
     * @var string $codigoBic
     * @access public
     */
    public $codigoBic = null;

    /**
     * @var string $codigoPais
     * @access public
     */
    public $codigoPais = null;

    /**
     * @var string $calidad
     * @access public
     */
    public $calidad = null;

    /**
     * @var string $origenInformacion
     * @access public
     */
    public $origenInformacion = null;

    /**
     * @var string $tipoCuenta
     * @access public
     */
    public $tipoCuenta = null;

    /**
     * @var string $estadoCuenta
     * @access public
     */
    public $estadoCuenta = null;

    /**
     * @var string $fechaUltimaAct
     * @access public
     */
    public $fechaUltimaAct = null;

    /**
     * @var float $claveDomicilio
     * @access public
     */
    public $claveDomicilio = null;

    /**
     * @param string $codigoBanco
     * @param string $codigoSucursal
     * @param string $digitosControl
     * @param string $numeroCuenta
     * @param string $codigoIban
     * @param string $codigoBic
     * @param string $codigoPais
     * @param string $calidad
     * @param string $origenInformacion
     * @param string $tipoCuenta
     * @param string $estadoCuenta
     * @param string $fechaUltimaAct
     * @param float $claveDomicilio
     * @access public
     */
    public function __construct($codigoBanco, $codigoSucursal, $digitosControl, $numeroCuenta, $codigoIban, $codigoBic, $codigoPais, $calidad, $origenInformacion, $tipoCuenta, $estadoCuenta, $fechaUltimaAct, $claveDomicilio)
    {
      $this->codigoBanco = $codigoBanco;
      $this->codigoSucursal = $codigoSucursal;
      $this->digitosControl = $digitosControl;
      $this->numeroCuenta = $numeroCuenta;
      $this->codigoIban = $codigoIban;
      $this->codigoBic = $codigoBic;
      $this->codigoPais = $codigoPais;
      $this->calidad = $calidad;
      $this->origenInformacion = $origenInformacion;
      $this->tipoCuenta = $tipoCuenta;
      $this->estadoCuenta = $estadoCuenta;
      $this->fechaUltimaAct = $fechaUltimaAct;
      $this->claveDomicilio = $claveDomicilio;
    }

}
